## symfony 7.3.4+dfsg

=== debian/changelog ===
symfony (7.3.4+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.4

 -- David Prévot <taffit@debian.org>  Mon, 29 Sep 2025 23:55:14 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
UPSTREAM := $(DEB_VERSION_UPSTREAM)

%:
	dh $@

override_dh_auto_build:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Check if licenses of all images are properly covered in d/copyright
	./debian/licensing/bin/check_image_licenses --check
else
	@echo "** image license check disabled"
endif
	phpab \
		--template debian/autoload.php.tpl \
		--output src/Symfony/autoload.php \
		src/Symfony/Bundle/FullStack.php
	mkdir --parents debian/packages_to_build debian/autoloaders
	# Walk through the parts of upstream's code that should be packaged into
	# separate Debian binary packages and write down a package-to-build info
	# file containing shell variables for each package.
	# Those files will be traverse later on in different targets of this
	# makefile (debian/rules). They solely exists to not repeat the extraction
	# of those variables in each of those target over and over again.
	# Then, build a class loader for the package, using the template in
	# debian/$deb_pkg_name.autoload.php.tpl if it exists (to load dependencies).
	set -e;\
	 for src_path in $$(find src/Symfony/ -mindepth 2 -maxdepth 4 -type d); do \
	  if [ -e $$src_path/composer.json ]; then \
	   pkg_path=$${src_path#src/Symfony/}; \
	   deb_pkg_name=php-$$(cat $$src_path/composer.json | jq -r '.name | tostring' | sed -r 's|/|-|'); \
	   if [ $$(grep -c -E -e "^Package: $$deb_pkg_name\$$" debian/control) -ne 1 ]; then \
	    echo "W: No Debian package '$$deb_pkg_name' defined in debian/control," 1>&2; \
	    echo "   therefor not considering Symfony $$pkg_path," 1>&2; \
	    continue; \
	   fi; \
	   echo "# This file contains some variables sourced" > debian/packages_to_build/$$deb_pkg_name; \
	   echo "# by various targets in debian/rules" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "deb_pkg_name='$$deb_pkg_name'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "src_path='$$src_path'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "pkg_path='$$pkg_path'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "symfony $${deb_pkg_name#php-symfony-} Symfony/$$pkg_path/autoload.php" > debian/autoloaders/$$deb_pkg_name; \
	   if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
		\( $$deb_pkg_name = php-symfony-messenger \) -o \
		\( $$deb_pkg_name = php-symfony-notifier \) -o \
		\( $$deb_pkg_name = php-symfony-translation \) ] ; then \
	    phpab --output $$src_path/autoload.php \
		--blacklist '*\\tests\\*' \
		--blacklist '*\\bridge\\*' \
		--exclude 'src/Symfony/Component/Messenger/Tests/Exception/HandlerFailedExceptionTest.php' \
		--whitelist 'symfony\\*' \
		--template debian/$$deb_pkg_name.autoload.php.tpl \
		$$src_path; \
	   else \
	    phpab --output $$src_path/autoload.php \
		--blacklist '*\\tests\\*' \
		--blacklist 'symfony\\config\\*' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/ArgumentResolver/EntityValueResolverTest.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEmbed.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEntity.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/EmbeddedIdentifierEntity.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/PropertyInfo/Fixtures/DoctrineWithEmbedded.php' \
		--exclude 'src/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
		--exclude 'src/Symfony/Component/DependencyInjection/Tests/Fixtures/php/*' \
		--exclude 'src/Symfony/Component/PropertyInfo/Tests/Extractor/PhpStanExtractorTest.php' \
		--exclude 'src/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
		--whitelist 'symfony\\*' \
		--tolerant \
		--template debian/$$deb_pkg_name.autoload.php.tpl \
		$$src_path; \
	   fi; \
	  fi; \
	 done

override_dh_auto_test:
	mkdir --parents vendor build
	cp -r src/Symfony build
	sed -i "s/@VERSION@/$(UPSTREAM)/;s/\+dfsg//" \
		$(CURDIR)/build/Symfony/Bundle/DebugBundle/DependencyInjection/Configuration.php \
		$(CURDIR)/build/Symfony/Bundle/FrameworkBundle/DependencyInjection/Configuration.php \
                $(CURDIR)/build/Symfony/Bundle/SecurityBundle/DependencyInjection/MainConfiguration.php \
                $(CURDIR)/build/Symfony/Bundle/TwigBundle/DependencyInjection/Configuration.php \
                $(CURDIR)/build/Symfony/Bundle/WebProfilerBundle/DependencyInjection/Configuration.php
	rm -r build/Symfony/Contracts
	cp debian/autoload_runtime.php vendor
	phpab	--output vendor/autoload.php \
		--whitelist '*\\tests\\*' \
		--tolerant \
		--template debian/autoload.php.tests.tpl \
		--blacklist 'symfony\\component\\dependencyinjection\\tests\\fixtures\\container\\projectservicecontainer' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/ArgumentResolver/EntityValueResolverTest.php' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEmbed.php' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEntity.php' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/Fixtures/EmbeddedIdentifierEntity.php' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/PropertyInfo/Fixtures/DoctrineWithEmbedded.php' \
		--exclude 'build/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
		--exclude 'build/Symfony/Component/DependencyInjection/Tests/Fixtures/php/*' \
		--exclude 'build/Symfony/Component/Messenger/Tests/Exception/HandlerFailedExceptionTest.php' \
		--exclude 'build/Symfony/Component/PropertyInfo/Tests/Extractor/PhpStanExtractorTest.php' \
		--exclude 'build/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
		build/Symfony
	ln -s /usr/share/php/AsyncAws build
	ln -s /usr/share/php/Cache build
	ln -s /usr/share/php/Composer build
	ln -s /usr/share/php/Cron build
	ln -s /usr/share/php/Doctrine build
	ln -s /usr/share/php/Egulias build
	ln -s /usr/share/php/GuzzleHttp build
	ln -s /usr/share/php/Http build
	ln -s /usr/share/php/JoliCode build
	ln -s /usr/share/php/League build
	ln -s /usr/share/php/Masterminds build
	ln -s /usr/share/php/Monolog build
	ln -s /usr/share/php/Nyholm build
	ln -s /usr/share/php/PhpParser build
	ln -s /usr/share/php/Pheanstalk build
	ln -s /usr/share/php/phpDocumentor build
	ln -s /usr/share/php/PHPStan build
	ln -s /usr/share/php/PHPUnit build
	ln -s /usr/share/php/Predis build
	ln -s /usr/share/php/ProxyManager build
	ln -s /usr/share/php/Psr build
	ln -s /usr/share/php/Symfony/Contracts build/Symfony
	ln -s /usr/share/php/Symfony/Component/Mercure build/Symfony/Component
	ln -s /usr/share/php/Symfony/Component/Security/Acl build/Symfony/Component/Security
	ln -s /usr/share/php/Symfony/Polyfill build/Symfony
	ln -s /usr/share/php/Symfony/WebpackEncoreBundle build/Symfony
	ln -s /usr/share/php/Twig build
	ln -s build/Symfony .
	# Drop never ending testsuite with PHPUnit 11
	rm -f build/Symfony/Component/HttpKernel/phpunit.xml.dist
	rm -f build/Symfony/Component/RateLimiter/phpunit.xml.dist
	# Actual tests suite
	components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include-path build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 --exclude-group nophpunit12 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';

override_dh_phpcomposer:
	dh_phpcomposer --package=php-symfony --sourcedirectory=./
	# In debian/packages_to_build/ a file containing shell variables exists
	# for each package that should be build. Source one file after another
	# to make the shell variables available and run dh_phpcomposer for each
	# package.
	set -e;\

## symfony 7.3.5

=== debian/changelog ===
symfony (7.3.5-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.5

 -- David Prévot <taffit@debian.org>  Wed, 29 Oct 2025 08:10:51 +0100

## symfony 7.4.0~beta1

=== debian/changelog ===
symfony (7.4.0~beta1-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update CHANGELOG for 7.4.0-BETA1
  * Update VERSION for 7.4.0-BETA1

  [ Christian Flothmann ]
  * use PHPUnit 12.4

  [ David Prévot ]
  * Update homemade autoload.php templates
  * Add new bridges:
    - php-symfony-amazon-dynamo-db-lock
    - php-symfony-microsoft-graph-mailer
  * Update Homepage URLs
  * debian/control: Document nocheck flags
  * Use SYMFONY_DEPRECATIONS_HELPER=disabled again

 -- David Prévot <taffit@debian.org>  Wed, 29 Oct 2025 19:30:06 +0100

=== debian/control ===
Source: symfony
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
Section: php
Priority: optional
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-sequence-phpcomposer, pkg-php-tools
Build-Depends-Indep: composer,
                     dctrl-tools,
                     file,
                     jq,
                     locales-all,
                     parallel,
                     php-amqp <!nocheck>,
                     php-apcu <!nocheck>,
                     php-async-aws-dynamo-db <!nocheck>,
                     php-async-aws-ses <!nocheck>,
                     php-async-aws-sns <!nocheck>,
                     php-async-aws-sqs <!nocheck>,
                     php-cache-integration-tests <!nocheck>,
                     php-curl <!nocheck>,
                     php-dba <!nocheck>,
                     php-doctrine-data-fixtures <!nocheck>,
                     php-doctrine-orm <!nocheck>,
                     php-dragonmantank-cron-expression <!nocheck>,
                     php-email-validator <!nocheck>,
                     php-gd <!nocheck>,
                     php-guzzlehttp-promises <!nocheck>,
                     php-http-httplug <!nocheck>,
                     php-intl <!nocheck>,
                     php-jolicode-jolinotif <!nocheck>,
                     php-ldap <!nocheck>,
                     php-league-html-to-markdown <!nocheck>,
                     php-league-uri <!nocheck>,
                     php-masterminds-html5 <!nocheck>,
                     php-mbstring <!nocheck>,
                     php-memcached <!nocheck>,
                     php-monolog <!nocheck>,
                     php-nyholm-psr7 <!nocheck>,
                     php-pda-pheanstalk (>= 7) <!nocheck>,
                     php-pgsql <!nocheck>,
                     php-phpdbg <!nocheck>,
                     php-phpdocumentor-reflection-docblock <!nocheck>,
                     php-phpstan-phpdoc-parser <!nocheck>,
                     php-predis <!nocheck>,
                     php-psr-cache <!nocheck>,
                     php-psr-clock <!nocheck>,
                     php-psr-container <!nocheck>,
                     php-psr-http-client <!nocheck>,
                     php-psr-link <!nocheck>,
                     php-psr-log <!nocheck>,
                     php-psr-simple-cache <!nocheck>,
                     php-redis <!nocheck>,
                     php-sqlite3 <!nocheck>,
                     php-symfony-contracts <!nocheck>,
                     php-symfony-mercure-bundle <!nocheck>,
                     php-symfony-polyfill-php85 <!nocheck>,
                     php-symfony-security-acl <!nocheck>,
                     php-symfony-webpack-encore-bundle <!nocheck>,
                     php-twig <!nocheck>,
                     php-twig-cssinliner-extra <!nocheck>,
                     php-twig-inky-extra <!nocheck>,
                     php-twig-markdown-extra <!nocheck>,
                     php-uuid <!nocheck>,
                     php-zstd <!nocheck>,
                     phpab,
                     phpunit <!nocheck>
Homepage: https://symfony.com/
Vcs-Browser: https://salsa.debian.org/php-team/pear/symfony
Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git

Package: php-symfony
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-replace},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Breaks: ${phpcomposer:Debian-conflict}
Provides: ${phpcomposer:Debian-provide}
Description: set of reusable components and framework for web projects
 ${phpcomposer:description} allows one to create websites and web
 applications. It’s a set of tools and a development methodology.
 .
 This package depends on every component. Applications depending on
 Symfony should rather depend on individual components actually needed
 by them.

Package: php-symfony-asset
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.4/components/asset.html
Description: manage asset URLs
 The Symfony Asset Component manages URL generation and versioning of
 web assets such as CSS stylesheets, JavaScript files and image files.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-asset-mapper
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: maps directories of asset and makes them available in a public directory
 The Symfony AssetMapper Component allows one to expose directories of assets
 that are then moved to a public directory with digested (i.e. versioned)
 filenames. It also allows one to dump an importmap to allow writing modern
 JavaScript without a build system.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-browser-kit
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.4/components/browser_kit.html
Description: simulate the behavior of a web browser
 The Symfony BrowserKit Component simulates the behavior of a web browser,
 allowing you to make requests, click on links and submit forms
 programmatically.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-cache
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.4/components/cache.html
Description: provides extended PSR-6, PSR-16 (and tags) implementations
 The Symfony Cache Component provides extended PSR-6 implementations for
 adding cache to applications. It is designed to have a low overhead so
 that caching is fastest. It ships with adapters for the most widespread
 caching backends. It also provides a PSR-16 adapter, and implementations
 for `symfony/cache-contracts` `CacheInterface` and `TagAwareCacheInterface`.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-config
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.4/components/config.html
Description: load configurations from different data sources
 The Symfony Config Component provides the infrastructure for loading
 configurations from different data sources and optionally monitoring
 these for changes. Additional tools for validating, normalizing and
 handling of defaults are provided.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-clock
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.4/components/clock.html
Description: ${phpcomposer:description}
 The Symfony Clock Component decouples applications from the system clock.
 This allows one to fix time to improve testability of time-sensitive logic.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-console
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.4/components/console.html
Description: run tasks from the command line
 The Symfony Console Component can be used to implement recurring
 or long running tasks, such as cronjobs, imports or other batch
 jobs. Additionally it assists the creation of nice looking command
 line interfaces.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-css-selector
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.4/components/css_selector.html
Description: convert CSS selectors to XPath expressions
 The Symfony CssSelector Component can be used to convert CSS selectors
 to XPath expressions. It basically is a port of the Python lxml library.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dependency-injection
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.4/components/dependency_injection.html
Description: standardize and centralize construction of objects
 The Symfony DependencyInjection Component allows one to standardize and
 centralize the way objects are constructed in an application.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dom-crawler
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.4/components/dom_crawler.html
Description: ease DOM navigation for HTML and XML documents
 The Symfony DomCrawler Component provides methods to query and
 manipulate HTML and XML documents.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dotenv
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.4/components/dotenv.html
Description: .env files parser to make environment variables accessible
 The Symfony Dotenv Component parses .env files to make environment variables
 stored in them accessible via getenv(), $_ENV, or $_SERVER.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-emoji
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/components/Emoji
Description: provide emoji characters and sequences

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,8 @@
 	   echo "src_path='$$src_path'" >> debian/packages_to_build/$$deb_pkg_name; \
 	   echo "pkg_path='$$pkg_path'" >> debian/packages_to_build/$$deb_pkg_name; \
 	   echo "symfony $${deb_pkg_name#php-symfony-} Symfony/$$pkg_path/autoload.php" > debian/autoloaders/$$deb_pkg_name; \
-	   if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
+	   if [ \( $$deb_pkg_name = php-symfony-lock \) -o \
+		\( $$deb_pkg_name = php-symfony-mailer \) -o \
 		\( $$deb_pkg_name = php-symfony-messenger \) -o \
 		\( $$deb_pkg_name = php-symfony-notifier \) -o \
 		\( $$deb_pkg_name = php-symfony-translation \) ] ; then \
@@ -134,7 +135,7 @@
 	rm -f build/Symfony/Component/RateLimiter/phpunit.xml.dist
 	# Actual tests suite
 	components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
-	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include-path build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 --exclude-group nophpunit12 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
+	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=disabled php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include-path build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 --exclude-group nophpunit12 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
 
 override_dh_phpcomposer:
 	dh_phpcomposer --package=php-symfony --sourcedirectory=./

## symfony 7.4.0~beta2+dfsg

=== src/Symfony/Component/Emoji/Resources/bin/Makefile ===
.PHONY: help update build
.DEFAULT_GOAL := help

update: ## Update sources
	@composer update
	@curl https://api.github.com/emojis > vendor/github-emojis.json
	@curl https://gitlab.com/gitlab-org/gitlab/-/raw/master/fixtures/emojis/digests.json > vendor/gitlab-emojis.json
	@curl https://raw.githubusercontent.com/iamcal/emoji-data/master/emoji.json > vendor/slack-emojis.json
	@curl -L https://unicode.org/Public/emoji/latest/emoji-test.txt > vendor/emoji-test.txt

build: ## Build rules
	@./build.php

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-7s\033[0m %s\n", $$1, $$2}'

=== src/Symfony/Component/JsonPath/Tests/Fixtures/Makefile ===
override hash := 05f6cac786bf0cce95437e6f1adedc3186d54a71

.PHONY: cts.json
cts.json:
	curl -f https://raw.githubusercontent.com/jsonpath-standard/jsonpath-compliance-test-suite/$(hash)/cts.json -o cts.json

.PHONY: clean
clean:
	rm -f cts.json

=== debian/changelog ===
symfony (7.4.0~beta2+dfsg-3) unstable; urgency=medium

  * php-symfony-translation conflicts with php-nesbot-carbon (<< 3)

 -- David Prévot <taffit@debian.org>  Tue, 11 Nov 2025 20:06:07 +0100

symfony (7.4.0~beta2+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * [PHPUnit] Fix expected output
  * Restore architecture specific patch

 -- David Prévot <taffit@debian.org>  Mon, 03 Nov 2025 18:31:27 +0100

symfony (7.4.0~beta2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.0-BETA2

  [ David Prévot ]
  * Fix homemade autoload for php-symfony-http-foundation
  * Exclude Symfony/Bundle/FrameworkBundle/Tests/Fixtures/reference.php
    from homemade autoload

 -- David Prévot <taffit@debian.org>  Mon, 03 Nov 2025 08:04:28 +0100

symfony (7.4.0~beta1-2) experimental; urgency=medium

  * Relax php-pda-pheanstalk version dependency
  * Update autoload path for recent bridges
  * Drop references to nophpunit1{1,2}
  * Track version 7 (for forky)
  * Ship php-async-aws-dynamo-db currently in NEW processing
  * Enable back more tests

 -- David Prévot <taffit@debian.org>  Sat, 01 Nov 2025 19:02:00 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                      parallel,
                      php-amqp <!nocheck>,
                      php-apcu <!nocheck>,
-                     php-async-aws-dynamo-db <!nocheck>,
                      php-async-aws-ses <!nocheck>,
                      php-async-aws-sns <!nocheck>,
                      php-async-aws-sqs <!nocheck>,
@@ -67,7 +66,7 @@
                      phpunit <!nocheck>
 Homepage: https://symfony.com/
 Vcs-Browser: https://salsa.debian.org/php-team/pear/symfony
-Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git -b debian/7
 
 Package: php-symfony
 Architecture: all
@@ -262,3 +261,6 @@
 Provides: ${phpcomposer:Debian-provide}
 Homepage: https://symfony.com/components/Emoji
 Description: provide emoji characters and sequences
+ The Symfony ErrorHandler Component provides access to emoji characters and
+ sequences from the Unicode CLDR.
+ .

=== debian/tests/control ===
Tests: phpunit
Restrictions: allow-stderr, rw-build-tree
Depends: composer,
         locales-all,
         parallel,
         patch,
         php-amqp,
         php-apcu,
         php-async-aws-sqs,
         php-cache-integration-tests,
         php-curl,
         php-dba,
         php-doctrine-data-fixtures,
         php-doctrine-orm,
         php-dragonmantank-cron-expression,
         php-email-validator,
         php-gd,
         php-guzzlehttp-promises,
         php-http-httplug,
         php-league-html-to-markdown,
         php-masterminds-html5,
         php-memcached,
         php-nyholm-psr7,
         php-pgsql,
         php-phpdocumentor-reflection-docblock,
         php-phpstan-phpdoc-parser,
         php-predis,
         php-psr-http-client,
         php-psr-simple-cache,
         php-redis,
         php-sqlite3,
         php-symfony-mercure-bundle,
         php-symfony-security-acl,
         php-symfony-webpack-encore-bundle,
         php-twig-cssinliner-extra,
         php-twig-inky-extra,
         php-twig-markdown-extra,
         php-zstd,
         phpab,
         phpunit,
         @

## symfony 7.4.0~rc1+dfsg

=== debian/changelog ===
symfony (7.4.0~rc1+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.0-RC1

  [ Christian Flothmann ]
  * re-allow ext-redis 6.1
  * compatibility with ext-redis 6.3

  [ Nicolas Grekas ]
  * [HttpFoundation] Fix parsing pathinfo with no leading slash
    [CVE-2025-64500]

 -- David Prévot <taffit@debian.org>  Fri, 14 Nov 2025 04:28:14 +0100

## symfony 7.4.0~rc2+dfsg

=== debian/changelog ===
symfony (7.4.0~rc2+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.0-RC2

  [ David Prévot ]
  * php-symfony-emoji: Fix description.
    Thanks to Daniele Forsi (Closes: #1120819)

 -- David Prévot <taffit@debian.org>  Tue, 18 Nov 2025 07:59:23 +0100

=== debian/control ===
--- 
+++ 
@@ -261,6 +261,6 @@
 Provides: ${phpcomposer:Debian-provide}
 Homepage: https://symfony.com/components/Emoji
 Description: provide emoji characters and sequences
- The Symfony ErrorHandler Component provides access to emoji characters and
+ The Symfony Emoji Component provides access to emoji characters and
  sequences from the Unicode CLDR.
  .

## symfony 7.4.0~rc3+dfsg

=== debian/changelog ===
symfony (7.4.0~rc3+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.0-RC3

  [ David Prévot ]
  * Drop parallelism for autopkgtest (Closes: #1120583)
  * Extend debian/clean

 -- David Prévot <taffit@debian.org>  Thu, 27 Nov 2025 08:19:24 +0100

## symfony 7.4.0+dfsg

=== debian/changelog ===
symfony (7.4.0+dfsg-2) unstable; urgency=medium

  * Sum up exit codes in autopkgtest
  * Keep only the last non null exit code
  * Set Multi-Arch: foreign for php-symfony-type-info

 -- David Prévot <taffit@debian.org>  Sat, 29 Nov 2025 09:07:13 +0100

symfony (7.4.0+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.0

  [ David Prévot ]
  * Try and get autopkgtest exit code working

 -- David Prévot <taffit@debian.org>  Fri, 28 Nov 2025 08:20:37 +0100

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Restrictions: allow-stderr, rw-build-tree
 Depends: composer,
          locales-all,
-         parallel,
          patch,
          php-amqp,
          php-apcu,

## symfony 7.4.2%2Bdfsg

=== debian/changelog ===
symfony (7.4.2+dfsg-2) unstable; urgency=medium

  * Drop another test currently failing on debci

 -- David Prévot <taffit@debian.org>  Fri, 12 Dec 2025 08:18:30 +0100

symfony (7.4.2+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.2

  [ Hugo Alliaume ]
  * [Notifier][Mercure] Add support for Mercure 0.7

 -- David Prévot <taffit@debian.org>  Wed, 10 Dec 2025 08:44:33 +0100

## symfony 7.4.3+dfsg

=== debian/changelog ===
symfony (7.4.3+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.3

  [ David Prévot ]
  * Convert d/watch to version 5
  * Update Standards-Version to 4.7.3
  * Update homemade autoload.php template

 -- David Prévot <taffit@debian.org>  Wed, 31 Dec 2025 10:59:02 +0100

## symfony 7.4.4+dfsg

=== debian/changelog ===
symfony (7.4.4+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.4

  [ David Prévot ]
  * Restore autoload template building

 -- David Prévot <taffit@debian.org>  Sun, 25 Jan 2026 12:04:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), dh-sequence-phpcomposer, pkg-php-tools
 Build-Depends-Indep: composer,
                      dctrl-tools,

## symfony 7.4.5%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
UPSTREAM := $(DEB_VERSION_UPSTREAM)
export DEB_BUILD_OPTIONS=nocheck
%:
	dh $@

override_dh_auto_build:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Check if licenses of all images are properly covered in d/copyright
	./debian/licensing/bin/check_image_licenses --check
else
	@echo "** image license check disabled"
endif
	phpabtpl \
		--require symfony/contracts \
		--require symfony/asset \
		--require symfony/asset-mapper \
		--require symfony/browser-kit \
		--require symfony/console \
		--require symfony/css-selector \
		--require symfony/debug-bundle \
		--require symfony/doctrine-bridge \
		--require symfony/dotenv \
		--require symfony/emoji \
		--require symfony/expression-language \
		--require symfony/form \
		--require symfony/html-sanitizer \
		--require symfony/http-client \
		--require symfony/intl \
		--require symfony/json-path \
		--require symfony/json-streamer \
		--require symfony/ldap \
		--require symfony/lock \
		--require symfony/object-mapper \
		--require symfony/mailer \
		--require symfony/messenger \
		--require symfony/monolog-bridge \
		--require symfony/notifier \
		--require symfony/process \
		--require symfony/property-info \
		--require symfony/rate-limiter \
		--require symfony/scheduler \
		--require symfony/security-bundle \
		--require symfony/semaphore \
		--require symfony/serializer \
		--require symfony/string \
		--require symfony/stopwatch \
		--require symfony/twig-bundle \
		--require symfony/uid \
		--require symfony/validator \
		--require symfony/webhook \
		--require symfony/web-link \
		--require symfony/web-profiler-bundle \
		--require symfony/workflow \
		--require symfony/yaml \
		> debian/autoload.php.tpl
	sed -i "s#'/usr/share/php/Symfony#__DIR__ . '#" debian/autoload.php.tpl
	phpab \
		--template debian/autoload.php.tpl \
		--output src/Symfony/autoload.php \
		src/Symfony/Bundle/FullStack.php
	mkdir --parents debian/packages_to_build debian/autoloaders
	# Walk through the parts of upstream's code that should be packaged into
	# separate Debian binary packages and write down a package-to-build info
	# file containing shell variables for each package.
	# Those files will be traverse later on in different targets of this
	# makefile (debian/rules). They solely exists to not repeat the extraction
	# of those variables in each of those target over and over again.
	# Then, build a class loader for the package, using the template in
	# debian/$deb_pkg_name.autoload.php.tpl if it exists (to load dependencies).
	set -e;\
	 for src_path in $$(find src/Symfony/ -mindepth 2 -maxdepth 4 -type d); do \
	  if [ -e $$src_path/composer.json ]; then \
	   pkg_path=$${src_path#src/Symfony/}; \
	   deb_pkg_name=php-$$(cat $$src_path/composer.json | jq -r '.name | tostring' | sed -r 's|/|-|'); \
	   if [ $$(grep -c -E -e "^Package: $$deb_pkg_name\$$" debian/control) -ne 1 ]; then \
	    echo "W: No Debian package '$$deb_pkg_name' defined in debian/control," 1>&2; \
	    echo "   therefor not considering Symfony $$pkg_path," 1>&2; \
	    continue; \
	   fi; \
	   echo "# This file contains some variables sourced" > debian/packages_to_build/$$deb_pkg_name; \
	   echo "# by various targets in debian/rules" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "deb_pkg_name='$$deb_pkg_name'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "src_path='$$src_path'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "pkg_path='$$pkg_path'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "symfony $${deb_pkg_name#php-symfony-} Symfony/$$pkg_path/autoload.php" > debian/autoloaders/$$deb_pkg_name; \
	   if [ $$deb_pkg_name = php-symfony-phpunit-bridge ] ; then \
	    phpabtpl \
	        --basedir src/Symfony/Bridge/PhpUnit \
	        --require phpunit/phpunit \
	        src/Symfony/Bridge/PhpUnit/composer.json \
	        > debian/php-symfony-phpunit-bridge.autoload.php.tpl; \
	    sed -i "s#'/usr/share/php#__DIR__ . '/../../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	   else \
	    phpabtpl --basedir $$src_path $$src_path/composer.json > debian/$$deb_pkg_name.autoload.php.tpl; \
	   fi; \
	   if [ \( $$deb_pkg_name != php-symfony-lock \) -a \( $$deb_pkg_name != $${deb_pkg_name%-lock} \) -o \
		\( $$deb_pkg_name != php-symfony-mailer \) -a \( $$deb_pkg_name != $${deb_pkg_name%-mailer} \) -o \
		\( $$deb_pkg_name != php-symfony-messenger \) -a \( $$deb_pkg_name != $${deb_pkg_name%-messenger} \) -o \
		\( $$deb_pkg_name != php-symfony-notifier \) -a \( $$deb_pkg_name != $${deb_pkg_name%-notifier} \) -o \
		\( $$deb_pkg_name != php-symfony-translation \) -a \( $$deb_pkg_name != $${deb_pkg_name%-translation-provider} \) ] ; then \
	    sed -i "s#'/usr/share/php/Symfony#__DIR__ . '/../../../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	    sed -i "s#'/usr/share/php#__DIR__ . '/../../../../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	   elif [ \( $$deb_pkg_name != php-symfony-security-bundle \) -a \( $$deb_pkg_name != $${deb_pkg_name#php-symfony-security} \) ] ; then \
	    sed -i "s#'/usr/share/php/Symfony#__DIR__ . '/../../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	    sed -i "s#'/usr/share/php#__DIR__ . '/../../../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	   else \
	    sed -i "s#'/usr/share/php/Symfony#__DIR__ . '/../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	    sed -i "s#'/usr/share/php#__DIR__ . '/../../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
	   fi; \
	   if [ \( $$deb_pkg_name = php-symfony-lock \) -o \
		\( $$deb_pkg_name = php-symfony-mailer \) -o \
		\( $$deb_pkg_name = php-symfony-messenger \) -o \
		\( $$deb_pkg_name = php-symfony-notifier \) -o \
		\( $$deb_pkg_name = php-symfony-translation \) ] ; then \
	    phpab --output $$src_path/autoload.php \
		--blacklist '*\\tests\\*' \
		--blacklist '*\\bridge\\*' \
		--exclude 'src/Symfony/Component/Messenger/Tests/Exception/HandlerFailedExceptionTest.php' \
		--whitelist 'symfony\\*' \
		--template debian/$$deb_pkg_name.autoload.php.tpl \
		$$src_path; \
	   else \
	    phpab --output $$src_path/autoload.php \
		--blacklist '*\\tests\\*' \
		--blacklist 'symfony\\config\\*' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/ArgumentResolver/EntityValueResolverTest.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEmbed.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEntity.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/EmbeddedIdentifierEntity.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/PropertyInfo/Fixtures/DoctrineWithEmbedded.php' \
		--exclude 'src/Symfony/Bundle/FrameworkBundle/Tests/Fixtures/reference.php' \
		--exclude 'src/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
		--exclude 'src/Symfony/Component/DependencyInjection/Tests/Fixtures/php/*' \
		--exclude 'src/Symfony/Component/PropertyInfo/Tests/Extractor/PhpStanExtractorTest.php' \
		--exclude 'src/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
		--whitelist 'symfony\\*' \
		--tolerant \
		--template debian/$$deb_pkg_name.autoload.php.tpl \
		$$src_path; \
	   fi; \
	  fi; \
	 done

override_dh_auto_test:
	mkdir --parents vendor build
	cp -r src/Symfony build
	sed -i "s/@VERSION@/$(UPSTREAM)/;s/\+dfsg//" \
		$(CURDIR)/build/Symfony/Bundle/DebugBundle/DependencyInjection/Configuration.php \
		$(CURDIR)/build/Symfony/Bundle/FrameworkBundle/DependencyInjection/Configuration.php \
		$(CURDIR)/build/Symfony/Bundle/SecurityBundle/DependencyInjection/MainConfiguration.php \
		$(CURDIR)/build/Symfony/Bundle/TwigBundle/DependencyInjection/Configuration.php \
		$(CURDIR)/build/Symfony/Bundle/WebProfilerBundle/DependencyInjection/Configuration.php
	rm -r build/Symfony/Contracts
	cp debian/autoload_runtime.php vendor
	phpab	--output vendor/autoload.php \
		--whitelist '*\\tests\\*' \
		--tolerant \
		--template debian/autoload.php.tests.tpl \

## symfony 7.4.5+dfsg

=== debian/changelog ===
symfony (7.4.5+dfsg-1ubuntu1) resolute; urgency=medium

  * Ignore license checks for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Feb 2026 10:48:43 +0100

symfony (7.4.5+dfsg-1build6) resolute; urgency=medium

  * Back in sync with Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Feb 2026 10:23:54 +0100

symfony (7.4.5+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.5

  [ Nicolas Grekas ]
  * [Process] Fix escaping for MSYS on Windows [CVE-2026-24739]
  * [PropertyInfo] Conflict with phpdocumentor/reflection-docblock >= 6

 -- David Prévot <taffit@debian.org>  Thu, 29 Jan 2026 06:39:41 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,14 @@
 
 include /usr/share/dpkg/default.mk
 UPSTREAM := $(DEB_VERSION_UPSTREAM)
-export DEB_BUILD_OPTIONS=nocheck
+
 %:
 	dh $@
 
 override_dh_auto_build:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# Check if licenses of all images are properly covered in d/copyright
-	./debian/licensing/bin/check_image_licenses --check
+	#./debian/licensing/bin/check_image_licenses --check
 else
 	@echo "** image license check disabled"
 endif

## symfony 7.4.6+dfsg

=== debian/changelog ===
symfony (7.4.6+dfsg-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore license checks for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Mar 2026 18:55:30 +0100

symfony (7.4.6+dfsg-2) unstable; urgency=medium

  * [Validator] Skip failing test on i386

 -- David Prévot <taffit@debian.org>  Sat, 28 Feb 2026 09:13:10 +0100

symfony (7.4.6+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.4.6

  [ Mathias Arlaud ]
  * [PropertyInfo] fix compatibility with phpdocumentor/reflection-docblock 6.x

  [ Christian Flothmann ]
  * use PHPUnit 13 on PHP 8.4+

  [ llupa ]
  * [Intl] Update data to ICU 78.2

  [ David Prévot ]
  * Revert "Ship php-async-aws-dynamo-db currently in NEW processing"

 -- David Prévot <taffit@debian.org>  Fri, 27 Feb 2026 08:43:05 +0100
